Subject: Re: file times still not quite right with 1.5.14 on Windows 98
From: Jacek Piskozub <[email-masked]>
To: [email-masked]
Date: Mon, 04 Apr 2005 11:34:43 +0200

Hi there,

I checked the same thing on another Windows ME box with the pre-ctime 
changes cygwin 1.5.12-1. This test.txt file was created on February 4 2003.

D:\>echo >> test.txt
D:\>ls -l test.txt
-rw-r--r--  1 piskozub unknown 20 Apr  4 11:25 test.txt
D:\>ls -l --time=ctime test.txt
-rw-r--r--  1 piskozub unknown 20 Feb  4  2003 test.txt

This is the same behavior Josef believes was caused by 1.5.13-1. It 
seems it existed even before the changes. I am unable to state whether 
it is correct or not.

Now I check the same thing under bash:

D:\>bash
BASH-2.05b$ echo >> test.txt
BASH-2.05b$ ls -l test.txt
-rw-r--r--  1 piskozub unknown 21 Apr  4 11:26 test.txt
BASH-2.05b$ ls -l --time=ctime test.txt
-rw-r--r--  1 piskozub unknown 21 Feb  4  2003 test.txt

This is different from 1.5.14-1 behaviour I reported last night where 
ctime would be changed. Note the mysterious one day change in test.txt 
date. It seems pre-ctime cygwin 1.5.12-1 was even more FAT32 unfriendly 
than the present one.

What do you think it all means?

Cheerio,

Jacek

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/